drop table VDCaccess;
create table VDCaccess
(
accid int unsigned not null auto_increment primary key,
access char(50) not null
);

drop table VDCcats;
create table VDCcats
(
catid int unsigned not null auto_increment primary key,
category char(60) not null
);

drop table VDCcov;
create table VDCcov
(
covid int unsigned not null auto_increment primary key,
cov char(20) not null
);

drop table VDCfreq;
create table VDCfreq
(
freqid int unsigned not null auto_increment primary key,
freq char(30) not null
);

drop table VDCpkg;
create table VDCpkg
(
pkgid int unsigned not null auto_increment primary key,
pkg char(10) not null
);

drop table VDCtype;
create table VDCtype
(
typeid int unsigned not null auto_increment primary key,
type char(40) not null
);


drop table VDC;
create table VDC
(
shortTitle  char(25) not null,
title       char(100) not null,
publisher   char(100),
description blob,
keywords	blob,
catid       int,
covid       int,
typeid      int,
accid1      int,
accid2      int,
accid3      int,
accid4      int,
accid5      int,
freqid      int,
pkgid1      int,
pkgid2      int,
pkgid3      int,
pkgid4      int,
pkgid5      int,
pkgid6      int,
pkgid7      int,
url1        char(200),
url2        char(200),
url3        char(200),
url4        char(200),
url5        char(200),
url6        char(200),
url7        char(200),
variables   char(20),
crossSectionUnits char(20),
timeSeriesUnits char(20),
dataStarts  char(20),
dataEnds    char(20),
principalInvestigator char(200),
contactAssistance char(40),
comments    blob,
questLink   char(100),
docURL      char(200),
moreInfoURL char(200),
dateMod     date
);
