#!/usr/bin/perl
# DRcat: program to generate VDC web pages from template for each DR category
#        and table elements for category listing
# CFB 1A28

open(IN,"DR.cat") or die "Can't open DR.cat\n";

while (<IN>) {
	($cat,$des) = /(.+?) (.+?)$/;
	$categ{$cat}=$des;
}

open(DIR,">catdir.html") or die "Can't open catdir.html\n";
foreach $key (sort keys %categ) {
	print DIR "<TR><TD>$key</TD><TD><A HREF=\"$key.html\">$categ{$key}</A></TD></TR>\n";
	$fn=">$key.html";
	open(OUT,$fn) or die "Can't open $fn\n";
	open(TM,"VDC.template.html") or die "Can't open VDC.template.html\n";
	@page = <TM>;
	foreach (@page) {
		s/XX/$key/;
		s/description/$categ{$key}/;
		s/DDD/ 28 October 2001/;
	print OUT $_;
	}
	close TM;
	close OUT;
}

